Bug 51660 - RFE: Mount root device by filesystem label in initrd [Root drive remapped after adding drives]
Summary: RFE: Mount root device by filesystem label in initrd [Root drive remapped aft...
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-13 18:12 UTC by Wendy Hung
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-17 15:15:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wendy Hung 2001-08-13 18:12:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
After adding drives to a running 7.1 system, missing OS message occurs 
after reboot.  Found that drives were remapped after booting with the 
parameter "root=/dev/sdb5" worked. 

How reproducible:
Always

Steps to Reproduce:
1. Place unconfigured RAID adapter in PCI slot.
2. Install RH 7.1 to local drives with onboard Adaptec controller with 
root=/dev/sda5  
3. Attach cable from RAID adapter to external drives and configure RAID-5 
array.
4. Reboot system.
	

Actual Results:  Missing OS.  Red Hat load the ips driver first before the 
aic7xxx and finds the RAID drives of which it tries to boot off of.
    

Expected Results:  Boot into RH 7.1 successfully.

Additional info:

Passing the paramter "root=/dev/sdb5" works.
The drive has been remapped from sda5 to sdb5.

Comment 1 Arjan van de Ven 2001-08-17 15:15:34 UTC
If this is a bug, it's an mkinitrd bug (or anaconda bug) where it should
have the root-device module as first module.

Comment 2 Matt Wilson 2001-08-17 15:22:55 UTC
This will require implementing mount by label support in the initrd.  It's not
planned for 7.1 or the next release.


Note You need to log in before you can comment on or make changes to this bug.